Package Details: python-luigi 2.7.8-1

Git Clone URL: https://aur.archlinux.org/python-luigi.git (read-only)
Package Base: python-luigi
Description: Workflow mgmgt + task scheduling + dependency resolution
Upstream URL: https://github.com/spotify/luigi
Licenses: Apache
Submitter: adbjesus
Maintainer: MessedUpHare
Last Packager: MessedUpHare
Votes: 1
Popularity: 0.000000
First Submitted: 2016-12-28 17:03
Last Updated: 2018-09-05 15:45

Latest Comments

MessedUpHare commented on 2018-08-08 09:55

upstream dependency on tornado<5.0 is causing this issue. I could change the dependency for the already AUR packaged python-tornado-4.4 - but this would likely break other packages that require tornado. I'm enquiring upstream...

vnoel commented on 2018-08-07 13:31

Hi, it doesn't seem to work with the current version of tornado in Arch:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 779, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (tornado 5.1 (/usr/lib/python3.7/site-packages), Requirement.parse('tornado<5,>=4.0'), {'luigi'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/luigi", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 572, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'tornado<5,>=4.0' distribution was not found and is required by luigi